Package org.zkoss.zul.theme

## Class CookieThemeResolver

- java.lang.Object
- - org.zkoss.zul.theme.CookieThemeResolver

- All Implemented Interfaces:
    `ThemeResolver`

      public class CookieThemeResolver
      extends java.lang.Object
      implements ThemeResolver

  A standard implementation of ThemeResolver Retrieves and stores theme names via cookie ZK CE/PE/EE
  Since:
    6.5.2
  Author:
    neillee

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CookieThemeResolver()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getTheme​(javax.servlet.http.HttpServletRequest request)` | Retrieves theme name from Cookie
    `void` | `setTheme​(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String themeName)` | Stores theme name in Cookie

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CookieThemeResolver

          public CookieThemeResolver()

  - ### Method Detail

    - #### getTheme

          public java.lang.String getTheme​(javax.servlet.http.HttpServletRequest request)

      Retrieves theme name from Cookie
      Specified by:
        `getTheme` in interface `ThemeResolver`
      Parameters:
        `request` -
      Returns:
        theme name stored in Cookie, or "" if not found
      Since:
        6.5.2

    - #### setTheme

          public void setTheme​(javax.servlet.http.HttpServletRequest request,
                               javax.servlet.http.HttpServletResponse response,
                               java.lang.String themeName)

      Stores theme name in Cookie
      Specified by:
        `setTheme` in interface `ThemeResolver`
      Parameters:
        `request` -
        `response` -
        `themeName` - theme name to be stored in Cookie
      Since:
        6.5.2